---
title: Gyroscope.Gyroscope()
slug: Web/API/Gyroscope/Gyroscope
tags:
  - API
  - Constructor
  - Generic Sensor API
  - Gyroscope
  - Reference
  - Sensor
  - Sensor APIs
  - Sensors
---
<div>{{APIRef("Gyroscope")}}</div>

<p><span class="seoSummary">The <strong><code>Gyroscope</code></strong> constructor creates a new {{domxref("Gyroscope")}} object which provides on each reading the angular velocity of the device along all three axes.</span></p>

<p>If a feature policy blocks use of a feature, it is because your code is inconsistent with the policies set on your server. This is not something that would ever be shown to a user. See {{httpheader('Feature-Policy')}} for implementation instructions.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>gyroscope</var> = new Gyroscope([<em>options</em>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>options</em> {{optional_inline}}</dt>
 <dd>Options are as follows:
 <ul>
  <li><code>frequency</code>: The desired number of times per second a sample should be taken, meaning the number of times per second that {{domxref('sensor.onreading')}} will be called. A whole number or decimal may be used, the latter for frequencies less than a second. The actual reading frequency depends device hardware and consequently may be less than requested.</li>
  <li><code>referenceFrame</code>: Either <code>'device'</code> or <code>'screen'</code>. The default is <code>'device'</code>.</li>
 </ul>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>Defines sensors in general.</td>
  </tr>
  <tr>
   <td>{{SpecName('Gyroscope','#dom-gyroscope-gyroscope','Gyroscope')}}</td>
   <td>{{Spec2('Gyroscope')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Gyroscope.Gyroscope")}}</p>
